Video Screencast Help

inventory and app metering not installing on its own

Created: 07 Dec 2012 • Updated: 11 Dec 2012 | 7 comments
This issue has been solved. See solution.

Ok so our dev environment works fine but going to test that again today...

in our TEST environment (pre prod)

We are running Altiris Client Management Suite SP2 MP1.1 with Rollup.
Rollup install is for Inventory agent and SMP agent.

interesting thing is that our Inventory agent does not install on its own anymore and that prevents app metering from installing.

After installing the rollup are you supposed to do anything like update distribution points for inventory package or anything? I just thought of that as I am typing this so will try that but im not sure what to do other than call support later.

 

Comments 7 CommentsJump to latest comment

SaschaH's picture

Did you check in your Altiris Log if you find any Unable to build policy XML errors?

Check this

http://www.symantec.com/business/support/index?page=content&id=TECH121961

 

Bechtle – your strong IT partner. Today and tomorrow

If that seems to help, please "Mark as Solution"

TeleFragger's picture

well running the code in there... i get stuff back so.. it says..

what i get

 

Name PackageId
Inventory Plug-in for Windows Package 87AB3970-9488-458C-B177-3EC73E09DA1E

If no results are returned then this could explain the error.

Did we help you? Please Mark As Solution those posts which resolve your problem,

SaschaH's picture

Was there anything in the logs first of all?

Bechtle – your strong IT partner. Today and tomorrow

If that seems to help, please "Mark as Solution"

SaschaH's picture

There is a lot of itereations of this error.. pretty much happening to someone on every update or roll up.. if you get the errors in the log file what you essentially need to do is make an detailed export of the iventory package on a working system and import it on the broken system. sometimes it can also be the policy itself thats broken(haven't seen that since 7.0 so).

 

https://www-secure.symantec.com/connect/forums/notification-server-errors-inventory-agent-upgrade#comment-6562171

Bechtle – your strong IT partner. Today and tomorrow

If that seems to help, please "Mark as Solution"

TeleFragger's picture

SaschaH - no nothing in the logs for that error...

another side interesting thing that got me going..

all 3 inventory filters...
Windows computers with inventory plug-in
Windows computers without inventory plug-in
Windows computers requiring inventory plug-in upgrade

are all empty.. each of them.. now if i clone them and edit the code and put in sql studio..

it returns results... making more confusion for me...

so that makes me think it has to do with the machines just not targeted.. not that the software isnt working...

 

im going to bring in a new machine.. and see if it does the same thing.. 7 of 9 agents... no app meter or invintory agent.. if so i will then specifically target them and see if they go... 

that would confirm to me that the filters are screwed up

Did we help you? Please Mark As Solution those posts which resolve your problem,

TeleFragger's picture

someone pointed out something to me on my team..

the issue is here..

http://www.symantec.com/business/support/index?pag...

 

at the bottom

supposedly the rollup fixed issues and since this is a new install and rollup.. the rollup may not have been installed correctly.

at bottom...

2967738

Application Metering plugin Uninstall: AMAgent plugin unsinstallatin failed with status shown as 'Run Failed' in Software Delivery page of SMA Agent.

N/A

2965982

Inventory plugin upgrade: Upgrade Filters in Inventory plugin upgrade policies are not getting populated with entries of Client Computers, hence plugin upgrade failed.

N/A

 

Did we help you? Please Mark As Solution those posts which resolve your problem,

TeleFragger's picture

ok got it fixed.. seems that the technician that gave me the link to the rollup.. gave me a rollup that even the inventory/app metering guys didnt know there was a new version for.

my agent version is not 7858 but it is 7860. I was talking to a backend support guy and he talked to a few others and none of them knew about this version... hah..

Did we help you? Please Mark As Solution those posts which resolve your problem,

SOLUTION